Altibase.jdbc.driver.util

## Class CaseInsensitiveProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - Altibase.jdbc.driver.util.CaseInsensitiveProperties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

Direct Known Subclasses:
  AltibaseProperties

    public class CaseInsensitiveProperties
    extends java.util.Properties

key 값으로 대소문자를 구별하지 않는 `Properties` 클래스.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.Properties

`defaults`

### Constructor Summary

Constructors
Constructor and Description
`CaseInsensitiveProperties()`
`CaseInsensitiveProperties(CaseInsensitiveProperties aProp)`
`CaseInsensitiveProperties(java.util.Properties aProp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `containsKey(java.lang.Object aKey)`
`protected java.util.Properties` `createProperties()`
`java.lang.Object` `get(java.lang.Object aKey)`
`java.lang.String` `getProperty(java.lang.String aKey)`
`java.lang.Object` `put(java.lang.Object aKey, java.lang.Object aValue)`
`void` `putAll(java.util.Map aMap)`
`void` `putAllExceptExist(java.util.Map aMap)` Map에 있는 값쌍을 Preperty로 추가한다.
`java.lang.Object` `remove(java.lang.Object aKey)`

### Methods inherited from class java.util.Properties

`getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.util.Hashtable

`clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsValue, elements, entrySet, equals, forEach, getOrDefault, hashCode, isEmpty, keys, keySet, merge, putIfAbsent, rehash, remove, replace, replace, replaceAll, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CaseInsensitiveProperties

    public CaseInsensitiveProperties()

#### CaseInsensitiveProperties

    public CaseInsensitiveProperties(CaseInsensitiveProperties aProp)

#### CaseInsensitiveProperties

    public CaseInsensitiveProperties(java.util.Properties aProp)

### Method Detail

#### createProperties

    protected java.util.Properties createProperties()

#### containsKey

    public boolean containsKey(java.lang.Object aKey)

Specified by:
  `containsKey` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
Overrides:
  `containsKey` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

#### get

    public java.lang.Object get(java.lang.Object aKey)

Specified by:
  `get` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
Overrides:
  `get` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

#### put

    public java.lang.Object put(java.lang.Object aKey,
                                java.lang.Object aValue)

Specified by:
  `put` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
Overrides:
  `put` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

#### remove

    public java.lang.Object remove(java.lang.Object aKey)

Specified by:
  `remove` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
Overrides:
  `remove` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

#### putAll

    public void putAll(java.util.Map aMap)

Specified by:
  `putAll` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
Overrides:
  `putAll` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`

#### putAllExceptExist

    public void putAllExceptExist(java.util.Map aMap)

Map에 있는 값쌍을 Preperty로 추가한다. 단, Map의 key 값으로 얻을 수 있는 값이 이미 있다면 추가하지 않는다.

Parameters:
  `aMap` - 추가할 값 쌍을 가진 객체

#### getProperty

    public java.lang.String getProperty(java.lang.String aKey)

Overrides:
  `getProperty` in class `java.util.Properties`